# Struct ethsync::LightSyncParams [−] [src]

    pub struct LightSyncParams<L> {
        pub network_config: BasicNetworkConfiguration,
        pub client: Arc<L>,
        pub network_id: u64,
        pub subprotocol_name: [u8; 3],
    }

Configuration for the light sync.

## Fields

`network_config: BasicNetworkConfiguration`

Network configuration.

`client: Arc<L>`

Light client to sync to.

`network_id: u64`

Network ID.

`subprotocol_name: [u8; 3]`

Subprotocol name.

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)